using System;
using System.Collections.Generic;
using System.Text;

namespace ConsoleApplication1
{
   class Program
   {
      static void Main(string[] args)
      {
         // pętla używająca pakowania
         long before = System.DateTime.Now.Ticks;
         for (int x = 0; x < 300000; x++)
         {
            // wykonanie operacji pakowania
            object o = x;
         }
         long after = System.DateTime.Now.Ticks;
         Console.WriteLine("Ilość taktów dla pętli wykorzystującej pakowanie: " +
           (after - before).ToString());

         // pętla bez pakowania
         before = System.DateTime.Now.Ticks;
         for (int y = 0; y < 300000; y++)
         {
            // wykonanie operacji bez pakowania
            int z = y;
         }
         after = System.DateTime.Now.Ticks;
         Console.WriteLine("Ilość taktów dla pętli bez pakowania: " +
           (after - before).ToString());

         Console.ReadLine();
      }
   }
}
